MV(1)

NOME
mv - movimenta (renomeia) os arquivos

SINOPSE
mv [OPÇÃO]... [-T] ORIGEM DESTINO
mv [OPÇÃO]... ORIGEM... DIRETÓRIO
mv [OPÇÃO]... -t DIRETÓRIO ORIGEM...

DESCRIÇÃO

Renomeia ORIGEM para DESTINO ou move ORIGEM(ns) para DIRETÓRIO.

Argumentos obrigatórios para opções longas também o são para opções curtas.

--backup[=CONTROLE]
    faz uma cópia de segurança de cada arquivo de destino já existente

-b  como --backup, mas não aceita argumentos

--debug
    explica como um arquivo é copiado. Implica em -v

--exchange
    Troca origem e destino

-f, --force
    não pergunta antes de sobrescrever

-i, --interactive
    pergunta antes de sobrescrever

-n, --no-clobber
    não sobrescreve um arquivo existente

Se você especificar mais que um dentre -i, -f ou -n, apenas o último terá efeito.

--no-copy
    não copia se a renomeação falhar

--strip-trailing-slashes
    remove quaisquer barras ao final de cada argumento ORIGEM

-S, --suffix=SUFIXO
    sobrescreve o sufixo comum de cópia de segurança

-t, --target-directory=DIRETÓRIO
    move todos os argumentos ORIGEM para o DIRETÓRIO

-T, --no-target-directory
    trata DESTINO como um arquivo normal

--update[=ATUALIZAÇÃO]
    controla quais arquivos existentes são atualizados; UPDATE={all,none,none-fail,older(default)}

-u  Equivalente a --update[=older]. Veja abaixo

-v, --verbose
    explica o que está sendo feito

-Z, --context
    define o contexto de segurança SELinux do arquivo de destino para o tipo padrão

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

ATUALIZAÇÃO controla quais arquivos existentes no destino são substituídos. 'all' é a operação padrão quando uma opção --update não é especificada e resulta na substituição de todos os arquivos existentes no destino. 'none' é como a opção --no-clobber, pois nenhum arquivo no destino é substituído e arquivos ignorados não induzem uma falha. 'none-fail' também garante que nenhum arquivo seja substituído no destino, mas quaisquer arquivos ignorados são diagnosticados e induzem uma falha. 'older' é a operação padrão quando --update é especificado e resulta na substituição de arquivos se eles forem mais antigos que o arquivo de origem correspondente.

O sufixo de cópia de segurança é "~", a não ser que esteja definido --suffix ou SIMPLE_BACKUP_SUFFIX. O método de controle de versão pode ser definido com --backup ou a variável de ambiente VERSION_CONTROL. Os valores possíveis são:

none, off
    nunca faz cópias de segurança (mesmo se --backup for especificado)

numbered, t
    faz cópias de segurança numeradas

existing, nil
    numeradas se já existirem cópias de segurança numeradas, simples em caso contrário

simple, never
    sempre faz cópias de segurança simples

AUTOR
Escrito por Mike Parker, David MacKenzie e Jim Meyering.

RELATANDO PROBLEMAS
Relate erros para: bug-coreutils@gnu.org
Página do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Ajuda em geral no uso de software GNU: <https://www.gnu.org/gethelp/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>

DIREITOS AUTORAIS
Copyright © 2026 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
rename(2)

Documentação completa: <https://www.gnu.org/software/coreutils/mv>
ou disponível localmente via: info '(coreutils) mv invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Roberto Selbach Teixeira <robteix@zaz.com.br> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).